// Copyright (c) 2023 ESWIN Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef AUDIO_SAMPLES_ADP_AUDIO_ADPCM_ADP_H__
#define AUDIO_SAMPLES_ADP_AUDIO_ADPCM_ADP_H__

#include <stdio.h>

#include "es_comm_aenc.h"
#include "es_comm_adec.h"

#define ADPCM_SAMPLES_PER_FRAME 480
#define MAX_ADPCM_SAMPLES_PER_FRAME ADPCM_SAMPLES_PER_FRAME

#define MAX_ADPCM_CODECS 16

ES_S32 ES_AENC_AdpcmInit(ES_S32 *handle);
ES_S32 ES_AENC_AdpcmDeInit(ES_S32 hancle);
ES_S32 ES_ADEC_AdpcmInit(ES_S32 *handle);
ES_S32 ES_ADEC_AdpcmDeInit(ES_S32 handle);

#endif  // AUDIO_SAMPLES_ADP_AUDIO_ADPCM_ADP_H__