#!/bin/bash
set -e

sys_root_dir=null

function usage() {
    echo -e "Usage:\n$0 <sys_root_dir>"
}

function main() {
    if [ $# -le 0 ];then
        usage
        exit 1
    fi
    sys_root_dir=$1

    if [ ! -d build ]; then
        mkdir -p build
    else
        rm build/* -rf
    fi

    cd build
    cmake .. -DSYS_ROOT_DIR=${sys_root_dir}
    make
}

main $@
