// Copyright (c) 2023 ESWIN Authors. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef AUDIO_UTILS_INCLUDE_UTILS_H_
#define AUDIO_UTILS_INCLUDE_UTILS_H_

#include <stdio.h>
#include <stdint.h>
#include "es_type.h"
#include "es_comm_aio.h"

struct chunk_fmt {
    uint16_t audio_format;
    uint16_t num_channels;
    uint32_t sample_rate;
    uint32_t byte_rate;
    uint16_t block_align;
    uint16_t bits_per_sample;
};

ES_S32 parseWav(FILE *file, struct chunk_fmt *fmt);
AUDIO_BIT_WIDTH_E convertBitsToBitWidth(ES_S32 bits);
AUDIO_SOUND_MODE_E convertChnsToSoundMode(ES_S32 chns);

#endif  // AUDIO_UTILS_INCLUDE_UTILS_H_
